Index: trunk/.gitignore
===================================================================
--- trunk/.gitignore	(revision 3)
+++ trunk/.gitignore	(revision 1)
@@ -1,1 +1,1 @@
-/yuuka
+yuuka
Index: trunk/COPYING
===================================================================
--- trunk/COPYING	(revision 3)
+++ trunk/COPYING	(revision 1)
@@ -1,3 +1,3 @@
-Copyright (c) 2023-present Izuru Yakumo <eternal-servant@yakumo.dev>
+Copyright (c) 2023-present Izuru Yakumo <yakumo.izuru@chaotic.ninja>
 
 Permission to use, copy, modify, and distribute this software for any
Index: trunk/Makefile
===================================================================
--- trunk/Makefile	(revision 3)
+++ 	(revision )
@@ -1,20 +1,0 @@
-GO ?= go
-PREFIX ?= /usr/local
-GOFLAGS ?= -v -ldflags "-w -X `${GO} list`.Version=${VERSION} -X `${GO} list`.Commit=${REV} -X `${GO} list`.Date=${DATE} -X `${GO} list`.Vendor=${VENDOR}"
-
-VENDOR ?= `uname -s`
-VERSION ?= 0.1.2
-REV ?= `svn info --show-item revision || git rev-list --all | wc -l`
-
-all: yuuka
-
-yuuka:
-	${GO} build ${GOFLAGS}
-	strip -s yuuka
-clean:
-	rm -f yuuka
-install:
-	install -Dm0755 yuuka ${DESTDIR}${PREFIX}/bin/yuuka
-	install -Dm0644 yuuka.1 ${DESTDIR}${PREFIX}/man/man1/yuuka.1
-uninstall:
-	rm -f ${DESTDIR}${PREFIX}/bin/yuuka ${DESTDIR}${PREFIX}/man/man1/yuuka.1
Index: trunk/go.mod
===================================================================
--- trunk/go.mod	(revision 3)
+++ trunk/go.mod	(revision 1)
@@ -1,11 +1,3 @@
-module mahou-no-mori.yakumo.dev/yuuka
+module marisa.chaotic.ninja/yuuka
 
 go 1.20
-
-require github.com/integrii/flaggy v1.5.2
-
-require (
-	github.com/inconshreveable/mousetrap v1.1.0 // indirect
-	github.com/spf13/cobra v1.9.1 // indirect
-	github.com/spf13/pflag v1.0.6 // indirect
-)
Index: trunk/go.sum
===================================================================
--- trunk/go.sum	(revision 3)
+++ 	(revision )
@@ -1,15 +1,0 @@
-github.com/cpuguy83/go-md2man/v2 v2.0.6/go.mod h1:oOW0eioCTA6cOiMLiUPZOpcVxMig6NIQQ7OS05n1F4g=
-github.com/google/go-cmp v0.5.6 h1:BKbKCqvP6I+rmFHt06ZmyQtvB8xAkWdhFyr0ZUNZcxQ=
-github.com/google/go-cmp v0.5.6/go.mod h1:v8dTdLbMG2kIc/vJvl+f65V22dbkXbowE6jgT/gNBxE=
-github.com/inconshreveable/mousetrap v1.1.0 h1:wN+x4NVGpMsO7ErUn/mUI3vEoE6Jt13X2s0bqwp9tc8=
-github.com/inconshreveable/mousetrap v1.1.0/go.mod h1:vpF70FUmC8bwa3OWnCshd2FqLfsEA9PFc4w1p2J65bw=
-github.com/integrii/flaggy v1.5.2 h1:bWV20MQEngo4hWhno3i5Z9ISPxLPKj9NOGNwTWb/8IQ=
-github.com/integrii/flaggy v1.5.2/go.mod h1:dO13u7SYuhk910nayCJ+s1DeAAGC1THCMj1uSFmwtQ8=
-github.com/russross/blackfriday/v2 v2.1.0/go.mod h1:+Rmxgy9KzJVeS9/2gXHxylqXiyQDYRxCVz55jmeOWTM=
-github.com/spf13/cobra v1.9.1 h1:CXSaggrXdbHK9CF+8ywj8Amf7PBRmPCOJugH954Nnlo=
-github.com/spf13/cobra v1.9.1/go.mod h1:nDyEzZ8ogv936Cinf6g1RU9MRY64Ir93oCnqb9wxYW0=
-github.com/spf13/pflag v1.0.6 h1:jFzHGLGAlb3ruxLB8MhbI6A8+AQX/2eW4qeyNZXNp2o=
-github.com/spf13/pflag v1.0.6/go.mod h1:McXfInJRrz4CZXVZOBLb0bTZqETkiAhM9Iw0y3An2Bg=
-golang.org/x/xerrors v0.0.0-20191204190536-9bdfabe68543/go.mod h1:I/5z698sn9Ka8TeJc9MKroUUfqBBauWjQqLJ2OPfmY0=
-gopkg.in/check.v1 v0.0.0-20161208181325-20d25e280405/go.mod h1:Co6ibVJAznAaIkqp8huTwlJQCZ016jof/cbN4VW5Yz0=
-gopkg.in/yaml.v3 v3.0.1/go.mod h1:K4uyk7z7BCEPqu6E+C64Yfv1cQ7kz7rIZviUmN+EgEM=
Index: trunk/main.go
===================================================================
--- trunk/main.go	(revision 3)
+++ trunk/main.go	(revision 1)
@@ -1,7 +1,57 @@
+// $TheSupernovaDuo: yuuka,v master 2023/5/29 17:54:15 yakumo_izuru Exp $
 package main
 
-import "mahou-no-mori.yakumo.dev/yuuka/cmd"
+import (
+	"fmt"
+	"io"
+	"log"
+	"net/http"
+	"os"
+)
+var (
+	format = "?AT"
+	url = "https://wttr.in"
+)
+func main() {
+	if len(os.Args) == 1 {
+		PrintUsage()
+	}
 
-func main() {
-	cmd.Execute()
+	cmd := os.Args[1]
+
+	switch cmd {
+	case "forecast":
+		ShowForecast()
+	case "moon":
+		ShowMoonPhases()
+	}
 }
+func PrintUsage() {
+	fmt.Println("Yuuka is a wttr.in client")
+	fmt.Printf("\tforecast\tShow the current weather report according to your region\n")
+	fmt.Printf("\tmoon\tShow the current phase of the Moon\n")
+}
+	
+func ShowForecast() {
+	query := url + format
+	resp, err := http.Get(query)
+	sanityCheck(err)
+	defer resp.Body.Close()
+	body, err := io.ReadAll(resp.Body)
+	sanityCheck(err)
+	fmt.Printf("%s", body)
+}
+func ShowMoonPhases() {
+	query := url + "/Moon" + format
+	resp, err := http.Get(query)
+	sanityCheck(err)
+	defer resp.Body.Close()
+	body, err := io.ReadAll(resp.Body)
+	sanityCheck(err)
+	fmt.Printf("%s\n", body)
+}
+func sanityCheck(err error) {
+	if err != nil {
+		log.Fatal(err)
+	}
+}
Index: trunk/yuuka.1
===================================================================
--- trunk/yuuka.1	(revision 3)
+++ 	(revision )
@@ -1,28 +1,0 @@
-.Dd May 4, 2025
-.Dt YUUKA 1
-.Os
-.Sh NAME
-.Nm yuuka
-.Nd A weather forecast client using wttr.in queries
-.Sh SYNOPSIS
-.Nm
-.Cm forecast
-.Fl f Ar format
-.Fl r Ar region
-.Pp
-.Nm
-.Cm moon
-.Fl f Ar format
-.Sh DESCRIPTION
-Everyone has their own wttr.in client, but aside from
-the majority using
-.Xr libcurl 3
-nothing was named after a Touhou Project character.
-.Pp
-As the name implies, it is named after Yuuka Kazami
-from Lotus Land Story.
-.Pp
-It supports the usual forecast and can display moon
-phases (perfect for Youkai)
-.Sh AUTHORS
-.An Izuru Yakumo Aq Mt eternal-servant@yakumo.dev
